Subject: Re: [PATCH] net: via-velocity.c fix sleep-with-spinlock bug during MTU change

From: Séguier Régis <[email-masked]>
Date: Thu, 19 Jun 2008 00:09:08 +0200

Francois Romieu a écrit :
> Séguier Régis <[email-masked]> :
> [...]
>   
>> This correction seems to work.
>>
>> I read somewhere pci_free_consistent (in velocity_free_dma_rings) couldn't 
>> be use in a spin_lock.
>>     
>
> Yup.
>
>   
>> When I move velocity_free_rings outside the spin_lock, error desappeare but 
>> data transfert doesn't work after the mtu change.
>> When I add velocity_give_many_rx_descs all work.
>>     
>
> I have updated http://userweb.kernel.org/~romieu/via-velocity/2.6.26-rc6/
> accordingly. Can you check whether it is fine or not ?
>
>   
Patch 0001 doesn't work,

if I don't make a mistake skb->len is not modified in skb_pad{,to}when 
the padding is applied. In this case, we need to attribute ETH_ZLEN to len.

-- 
Régis